﻿<Project Sdk="Microsoft.NET.Sdk">

  <PropertyGroup>
    <TargetFramework>net6.0</TargetFramework>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="Data\" />
    <None Remove="Pomelo.EntityFrameworkCore.MySql" />
    <None Remove="Data\Repositories\" />
    <None Remove="MySql.Data.EntityFrameworkCore" />
    <None Remove="Data\Configuration\" />
    <None Remove="Pomelo.EntityFrameworkCore.MySql.Design" />
    <None Remove="Microsoft.EntityFrameworkCore.Design" />
    <None Remove="Microsoft.EntityFrameworkCore" />
    <None Remove="Microsoft.EntityFrameworkCore.Tools" />
    <None Remove="MySql.Data" />
    <None Remove="Microsoft.EntityFrameworkCore.Relational" />
    <None Remove="Microsoft.EntityFrameworkCore.SqlServer" />
    <None Remove="Repositories\" />
    <None Remove="ASA.Festpay.Transaction.Infra.API\obj\ASA.Festpay.Transaction.Infra.API.csproj.nuget.g.props" />
    <None Remove="ASA.Festpay.Transaction.Infra.API\obj\ASA.Festpay.Transaction.Infra.API.csproj.nuget.g.targets" />
    <None Remove="ASA.Festpay.Transaction.Infra.API\obj\ASA.Festpay.Transaction.Infra.API.csproj.nuget.dgspec.json" />
    <None Remove="ASA.Festpay.Transaction.Infra.API\obj\Debug\net5.0\ASA.Festpay.Transaction.Infra.API.csproj.AssemblyReference.cache" />
    <None Remove="ASA.Festpay.Transaction.Infra.API\obj\project.assets.json" />
    <None Remove="ASA.Festpay.Transaction.Infra.API\obj\project.nuget.cache" />
    <None Remove="ASA.Festpay.Transaction.Infra.API\obj\Debug\net5.0\ASA.Festpay.Transaction.Infra.API.assets.cache" />
    <None Remove="ASA.Festpay.Transaction.Infra.API\obj\Debug\net5.0\ASA.Festpay.Transaction.Infra.API.GeneratedMSBuildEditorConfig.editorconfig" />
    <None Remove="ASA.Festpay.Transaction.Infra.API\obj\Debug\net5.0\ASA.Festpay.Transaction.Infra.API.AssemblyInfoInputs.cache" />
    <None Remove="ASA.Festpay.Transaction.Infra.API\obj\Debug\net5.0\ASA.Festpay.Transaction.Infra.API.csproj.CoreCompileInputs.cache" />
    <None Remove="ASA.Festpay.Transaction.Infra.API\obj\Debug\net5.0\ASA.Festpay.Transaction.Infra.API.csproj.FileListAbsolute.txt" />
    <None Remove="Dapper" />
  </ItemGroup>
  <ItemGroup>
    <ProjectReference Include="..\ASA.Festpay.Transaction.Domain\ASA.Festpay.Transaction.Domain.csproj" />
    <ProjectReference Include="..\ASA.Festpay.Transaction.Domain.Core\ASA.Festpay.Transaction.Domain.Core.csproj" />
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="Microsoft.EntityFrameworkCore.Design" Version="5.0.12">
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
      <PrivateAssets>all</PrivateAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.EntityFrameworkCore.Tools" Version="5.0.12">
      <IncludeAssets>runtime; build; native; contentfiles; analyzers; buildtransitive</IncludeAssets>
      <PrivateAssets>all</PrivateAssets>
    </PackageReference>
    <PackageReference Include="Microsoft.EntityFrameworkCore" Version="5.0.12" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.Relational" Version="5.0.12" />
    <PackageReference Include="Microsoft.EntityFrameworkCore.SqlServer" Version="5.0.12" />
    <PackageReference Include="Dapper" Version="2.0.123" />
  </ItemGroup>
  <ItemGroup>
    <Compile Remove="Migrations\20211110030757_asa_dataConfirmacaoAtendimento.cs" />
    <Compile Remove="Migrations\20211110030757_asa_dataConfirmacaoAtendimento.Designer.cs" />
    <Compile Remove="Migrations\FestPayContextModelSnapshot.cs" />
    <Compile Remove="ASA.Festpay.Transaction.Infra.API\obj\Debug\net5.0\.NETCoreApp,Version=v5.0.AssemblyAttributes.cs" />
    <Compile Remove="ASA.Festpay.Transaction.Infra.API\obj\Debug\net5.0\ASA.Festpay.Transaction.Infra.API.AssemblyInfo.cs" />
  </ItemGroup>
</Project>
